Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5082)
@@ -326,5 +326,5 @@
   znebprecip(:)=0.
 
-  ice_thermo = (iflag_ice_thermo .EQ. 1).OR.(iflag_ice_thermo .GE. 3)
+  ice_thermo = (iflag_ice_thermo == 1).OR.(iflag_ice_thermo >= 3)
   zdelq=0.0
   ctot_vol(1:klon,1:klev)=0.0
@@ -342,5 +342,5 @@
      WRITE(lunout,*) 'fisrtilp, cpartiel:', cpartiel
      
-     IF (ABS(dtime/REAL(ninter)-360.0).GT.0.001) THEN
+     IF (ABS(dtime/REAL(ninter)-360.0)>0.001) THEN
         WRITE(lunout,*) 'fisrtilp: Ce n est pas prevu, voir Z.X.Li', dtime
         WRITE(lunout,*) 'Je prefere un sous-intervalle de 6 minutes'
@@ -407,5 +407,5 @@
   !
 !CR: on est oblige de definir des valeurs fisrt car les valeurs de newmicro ne sont pas les memes par defaut
-  IF (iflag_t_glace.EQ.0) THEN
+  IF (iflag_t_glace==0) THEN
 !   ztglace = RTT - 15.0
     t_glace_min_old = RTT - 15.0
@@ -605,5 +605,5 @@
      !   - zmqc: masse de precip qui doit etre thermalisee
      !
-     IF(k.LE.klevm1) THEN         
+     IF(k<=klevm1) THEN
         DO i = 1, klon
            !IM
@@ -612,5 +612,5 @@
            zcpair=RCPD*(1.0+RVTMP2*zq(i))
            zcpeau=RCPD*RVTMP2
-         if (fl_cor_ebil .GT. 0) then
+         if (fl_cor_ebil > 0) then
            ! zmqc: masse de precip qui doit etre thermalisee avec l'air de la couche atm 
            ! pour s'assurer que la precip arrivant au sol aura bien la temperature de la 
@@ -679,5 +679,5 @@
         DO i = 1, klon
 !          S'il y a des precipitations
-           IF (zrfl(i)+zifl(i).GT.0.) THEN
+           IF (zrfl(i)+zifl(i)>0.) THEN
               ! Calcul du qsat
               IF (thermcep) THEN
@@ -688,5 +688,5 @@
                  zqs(i)=zqs(i)*zcor
               ELSE
-                 IF (zt(i) .LT. t_coup) THEN
+                 IF (zt(i) < t_coup) THEN
                     zqs(i) = qsats(zt(i)) / pplay(i,k)
                  ELSE
@@ -701,5 +701,5 @@
         DO i = 1, klon
 !          S'il y a des precipitations
-           IF (zrfl(i)+zifl(i).GT.0.) THEN                
+           IF (zrfl(i)+zifl(i)>0.) THEN
                 ! Evap max pour ne pas saturer la fraction sous le nuage
                 ! Evap max jusqu'à atteindre la saturation dans la partie
@@ -710,5 +710,5 @@
              ! Ajout de la prise en compte des precip a thermiser
              ! avec petite reecriture 
-             if  (fl_cor_ebil .GT. 0) then ! nouveau
+             if  (fl_cor_ebil > 0) then ! nouveau
                 ! Calcul de l'evaporation du flux de precip herite
                 !   d'au-dessus
@@ -721,5 +721,5 @@
                 zrfln(i) = zrfl(i) - zqev*zmair(i)/dtime
                 ! Aucun flux liquide pour T < t_coup, on reevapore tout.
-                IF (zt(i) .LT. t_coup.and.reevap_ice) THEN
+                IF (zt(i) < t_coup.and.reevap_ice) THEN
                   zrfln(i)=0.
                   zqev = (zrfl(i)-zrfln(i))/zmair(i)*dtime
@@ -745,5 +745,5 @@
                      /RG/dtime
                 ! Aucun flux liquide pour T < t_coup
-                IF (zt(i) .LT. t_coup.and.reevap_ice) zrfln(i)=0.
+                IF (zt(i) < t_coup.and.reevap_ice) zrfln(i)=0.
                 ! Nouvelle vapeur 
                 zq(i) = zq(i) - (zrfln(i)-zrfl(i)) &
@@ -788,5 +788,5 @@
 !AJ<
 !        S'il y a des precipitations
-         IF (zrfl(i)+zifl(i).GT.0.) THEN
+         IF (zrfl(i)+zifl(i)>0.) THEN
 
          IF (iflag_evap_prec==1) THEN
@@ -850,5 +850,5 @@
         ! en conservant la proportion liquide / glace
      
-         IF (zqevt+zqevti.GT.zqev0) THEN
+         IF (zqevt+zqevti>zqev0) THEN
             zqev=zqev0*zqevt/(zqevt+zqevti)
             zqevi=zqev0*zqevti/(zqevt+zqevti)
@@ -859,5 +859,5 @@
 !            zqev=zqevt
 !            zqevi=zqevti
-             IF (zqevt+zqevti.GT.0.) THEN
+             IF (zqevt+zqevti>0.) THEN
                 zqev=MIN(zqev0*zqevt/(zqevt+zqevti),zqevt)
                 zqevi=MIN(zqev0*zqevti/(zqevt+zqevti),zqevti)
@@ -876,5 +876,5 @@
          zq(i) = zq(i) - (zrfln(i)+zifln(i)-zrfl(i)-zifl(i)) &
                   * (RG/(paprs(i,k)-paprs(i,k+1)))*dtime
-       if (fl_cor_ebil .GT. 0) then ! avec correction thermalisation des precips
+       if (fl_cor_ebil > 0) then ! avec correction thermalisation des precips
          zmqc(i) = zmqc(i) + (zrfln(i)+zifln(i)-zrfl(i)-zifl(i)) &
                   * (RG/(paprs(i,k)-paprs(i,k+1)))*dtime
@@ -907,5 +907,5 @@
            ! Fusion de la glace
            zrfl(i)=zrfl(i)+zmelt*zifl(i)
-           if (fl_cor_ebil .LE. 0) then
+           if (fl_cor_ebil <= 0) then
              ! the following line should not be here. Indeed, if zifl is modified
              ! now, zifl(i)*zmelt is no more the amount of ice that has melt
@@ -914,5 +914,5 @@
            end if
            ! Chaleur latente de fusion
-        if (fl_cor_ebil .GT. 0) then ! avec correction thermalisation des precips
+        if (fl_cor_ebil > 0) then ! avec correction thermalisation des precips
            zt(i)=zt(i)-zifl(i)*zmelt*(RG*dtime)/(paprs(i,k)-paprs(i,k+1)) &
                       *RLMLT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
@@ -921,5 +921,5 @@
                       *RLMLT/RCPD/(1.0+RVTMP2*zq(i))
         end if
-           if (fl_cor_ebil .GT. 0) then ! correction bug, deplacement ligne precedente
+           if (fl_cor_ebil > 0) then ! correction bug, deplacement ligne precedente
              zifl(i)=zifl(i)*(1.-zmelt)
            end if
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90	(revision 5082)
@@ -119,5 +119,5 @@
   tab_cntrl(6) = nbapp_rad
 
-  IF( iflag_cycle_diurne.GE.1 ) tab_cntrl( 7 ) = iflag_cycle_diurne
+  IF( iflag_cycle_diurne>=1 ) tab_cntrl( 7 ) = iflag_cycle_diurne
   IF(   soil_model ) tab_cntrl( 8 ) = 1.
   IF(     new_oliq ) tab_cntrl( 9 ) = 1.
@@ -154,5 +154,5 @@
     ! Get last fractions from slab ocean
     IF (type_ocean == 'slab' .AND. version_ocean == "sicINT") THEN
-        WHERE (1.-zmasq(:).GT.EPSFRA)
+        WHERE (1.-zmasq(:)>EPSFRA)
             pctsrf(:,is_oce)=(1.-fsic(:))*(1.-zmasq(:))
             pctsrf(:,is_sic)=fsic(:)*(1.-zmasq(:))
@@ -373,5 +373,5 @@
     ! Restart variables for Slab ocean
     IF (type_ocean == 'slab') THEN
-        IF (nslay.EQ.1) THEN
+        IF (nslay==1) THEN
           CALL put_field(pass,"tslab", "Slab ocean temperature", tslab)
         ELSE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90	(revision 5082)
@@ -347,9 +347,9 @@
 
        ! Calculate ecrit_files for all files
-      IF ( chtimestep(iff).eq.'Default' ) THEN
+      IF ( chtimestep(iff)=='Default' ) THEN
           ! Par defaut ecrit_files = (ecrit_mensuel ecrit_jour ecrit_hf
           ! ...)*86400.
           ecrit_files(iff)=ecrit_files(iff)*86400.
-      ELSE IF (chtimestep(iff).eq.'-1') THEN
+      ELSE IF (chtimestep(iff)=='-1') THEN
           PRINT*,'ecrit_files(',iff,') < 0 so IOIPSL work on different'
           PRINT*,'months length'
@@ -377,5 +377,5 @@
       ENDIF
 
-      IF (iff.LE.6.OR.iff.EQ.10) THEN
+      IF (iff<=6.OR.iff==10) THEN
         CALL wxios_add_vaxis("presnivs", &
             levmax(iff) - levmin(iff) + 1, presnivs(levmin(iff):levmax(iff)))
@@ -436,12 +436,12 @@
              DO i=1,nbp_lon
                 WRITE(lunout,*)'io_lon(i)=',io_lon(i)
-                IF (io_lon(i).le.phys_out_lonmin(iff)) imin_ins=i
-                IF (io_lon(i).le.phys_out_lonmax(iff)) imax_ins=i+1
+                IF (io_lon(i)<=phys_out_lonmin(iff)) imin_ins=i
+                IF (io_lon(i)<=phys_out_lonmax(iff)) imax_ins=i+1
              ENDDO
 
              DO j=1,jjmp1
                 WRITE(lunout,*)'io_lat(j)=',io_lat(j)
-                IF (io_lat(j).ge.phys_out_latmin(iff)) jmax_ins=j+1
-                IF (io_lat(j).ge.phys_out_latmax(iff)) jmin_ins=j
+                IF (io_lat(j)>=phys_out_latmin(iff)) jmax_ins=j+1
+                IF (io_lat(j)>=phys_out_latmax(iff)) jmin_ins=j
              ENDDO
 
@@ -479,5 +479,5 @@
 
 #ifndef CPP_IOIPSL_NO_OUTPUT 
-          IF (iff.LE.6.OR.iff.EQ.10) THEN
+          IF (iff<=6.OR.iff==10) THEN
              CALL histvert(nid_files(iff), "presnivs", "Vertical levels", "Pa", &  
                levmax(iff) - levmin(iff) + 1, &
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5082)
@@ -1448,5 +1448,5 @@
     ! en imposant la valeur de igout.
     !======================================================================
-    IF (prt_level.ge.1) THEN
+    IF (prt_level>=1) THEN
        igout=klon/2+1/klon
        write(lunout,*) 'DEBUT DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
@@ -1524,5 +1524,5 @@
        !
        !CR: check sur le nb de traceurs de l eau
-       IF ((iflag_ice_thermo.gt.0).and.(nqo==2)) THEN
+       IF ((iflag_ice_thermo>0).and.(nqo==2)) THEN
           WRITE (lunout, *) ' iflag_ice_thermo==1 requires 3 H2O tracers ', &
                '(H2O_g, H2O_l, H2O_s) but nqo=', nqo, '. Might as well stop here.'
@@ -1531,5 +1531,5 @@
        ENDIF
 
-       IF (ok_ice_sursat.AND.(iflag_ice_thermo.EQ.0)) THEN
+       IF (ok_ice_sursat.AND.(iflag_ice_thermo==0)) THEN
           WRITE (lunout, *) ' ok_ice_sursat=y requires iflag_ice_thermo=1 as well'
           abort_message='see above'
@@ -1537,5 +1537,5 @@
        ENDIF
 
-       IF (ok_ice_sursat.AND.(nqo.LT.4)) THEN
+       IF (ok_ice_sursat.AND.(nqo<4)) THEN
           WRITE (lunout, *) ' ok_ice_sursat=y requires 4 H2O tracers ', &
                '(H2O_g, H2O_l, H2O_s, H2O_r) but nqo=', nqo, '. Might as well stop here.'
@@ -1561,5 +1561,5 @@
           CALL abort_physic(modname,abort_message, 1)
 #endif
-         IF ((ok_ice_sursat.AND.nqo .LT.5).OR.(.NOT.ok_ice_sursat.AND.nqo.LT.4)) THEN
+         IF ((ok_ice_sursat.AND.nqo <5).OR.(.NOT.ok_ice_sursat.AND.nqo<4)) THEN
              WRITE (lunout, *) 'activation of blowing snow needs a specific H2O tracer', &
                                'but nqo=', nqo
@@ -1680,5 +1680,5 @@
     ENDIF
 
-    IF (prt_level.ge.1) print *,'CONVERGENCE PHYSIQUE THERM 1 '
+    IF (prt_level>=1) print *,'CONVERGENCE PHYSIQUE THERM 1 '
 
     !======================================================================
@@ -1749,5 +1749,5 @@
        print*,'iflag_cycle_diurne', iflag_cycle_diurne
        !
-       IF (iflag_con.EQ.2.AND.iflag_cld_th.GT.-1) THEN
+       IF (iflag_con==2.AND.iflag_cld_th>-1) THEN
           abort_message = 'Tiedtke needs iflag_cld_th=-2 or -1'
           CALL abort_physic (modname,abort_message,1)
@@ -1818,5 +1818,5 @@
        ENDIF
 !>jyg
-       IF (MOD(NINT(86400./phys_tstep),nbapp_rad).EQ.0) THEN
+       IF (MOD(NINT(86400./phys_tstep),nbapp_rad)==0) THEN
           radpas = NINT( 86400./phys_tstep)/nbapp_rad
        ELSE 
@@ -1829,8 +1829,8 @@
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       IF (nbapp_cv .EQ. 0) nbapp_cv=86400./phys_tstep
-       IF (nbapp_wk .EQ. 0) nbapp_wk=86400./phys_tstep
+       IF (nbapp_cv == 0) nbapp_cv=86400./phys_tstep
+       IF (nbapp_wk == 0) nbapp_wk=86400./phys_tstep
        print *,'physiq, nbapp_cv, nbapp_wk ',nbapp_cv,nbapp_wk
-       IF (MOD(NINT(86400./phys_tstep),nbapp_cv).EQ.0) THEN
+       IF (MOD(NINT(86400./phys_tstep),nbapp_cv)==0) THEN
           cvpas_0 = NINT( 86400./phys_tstep)/nbapp_cv
           cvpas = cvpas_0
@@ -1845,5 +1845,5 @@
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       IF (MOD(NINT(86400./phys_tstep),nbapp_wk).EQ.0) THEN
+       IF (MOD(NINT(86400./phys_tstep),nbapp_wk)==0) THEN
           wkpas = NINT( 86400./phys_tstep)/nbapp_wk
 !       print *,'physiq, wkpas ',wkpas
@@ -1870,5 +1870,5 @@
              CLOSE(98)
              CONTINUE
-             IF(nCFMIP.GT.npCFMIP) THEN
+             IF(nCFMIP>npCFMIP) THEN
                 print*,'nCFMIP > npCFMIP : augmenter npCFMIP et recompiler'
                 CALL abort_physic("physiq", "", 1)
@@ -2031,5 +2031,5 @@
        ! Test de coherence sur oc_cdnc utilisé uniquement par cloud_optics_prop
        IF (ok_newmicro) then
-          IF (iflag_rrtm.EQ.1) THEN
+          IF (iflag_rrtm==1) THEN
 #ifdef CPP_RRTM
              IF (ok_cdnc.AND.NRADLP.NE.3) THEN
@@ -2122,5 +2122,5 @@
        ! on remet le calendrier a zero
        !
-       IF (raz_date .eq. 1) THEN
+       IF (raz_date == 1) THEN
           itau_phy = 0
        ENDIF
@@ -2133,5 +2133,5 @@
 !          phys_tstep=pdtphys
 !       ENDIF
-       IF (nlon .NE. klon) THEN
+       IF (nlon /= klon) THEN
           WRITE(lunout,*)'nlon et klon ne sont pas coherents', nlon,  &
                klon
@@ -2139,5 +2139,5 @@
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       IF (nlev .NE. klev) THEN
+       IF (nlev /= klev) THEN
           WRITE(lunout,*)'nlev et klev ne sont pas coherents', nlev, &
                klev
@@ -2146,5 +2146,5 @@
        ENDIF
        !
-       IF (phys_tstep*REAL(radpas).GT.21600..AND.iflag_cycle_diurne.GE.1) THEN 
+       IF (phys_tstep*REAL(radpas)>21600..AND.iflag_cycle_diurne>=1) THEN
           WRITE(lunout,*)'Nbre d appels au rayonnement insuffisant'
           WRITE(lunout,*)"Au minimum 4 appels par jour si cycle diurne"
@@ -2163,5 +2163,5 @@
        !KE43
        ! Initialisation pour la convection de K.E. (sb):
-       IF (iflag_con.GE.3) THEN
+       IF (iflag_con>=3) THEN
 
           WRITE(lunout,*)"*** Convection de Kerry Emanuel 4.3  "
@@ -2250,5 +2250,5 @@
              zuthe(i)=0.
              zvthe(i)=0.
-             IF (zstd(i).gt.10.) THEN
+             IF (zstd(i)>10.) THEN
                 zuthe(i)=(1.-zgam(i))*cos(zthe(i))
                 zvthe(i)=(1.-zgam(i))*sin(zthe(i))
@@ -2617,11 +2617,11 @@
           qbs_seri(i,k) = 0.
           !CR: ATTENTION, on rajoute la variable glace
-          IF (nqo.EQ.2) THEN             !--vapour and liquid only
+          IF (nqo==2) THEN             !--vapour and liquid only
              qs_seri(i,k) = 0.
              rneb_seri(i,k) = 0.
-          ELSE IF (nqo.EQ.3) THEN        !--vapour, liquid and ice
+          ELSE IF (nqo==3) THEN        !--vapour, liquid and ice
              qs_seri(i,k) = qx(i,k,isol)
              rneb_seri(i,k) = 0.
-          ELSE IF (nqo.GE.4) THEN        !--vapour, liquid, ice and rneb and blowing snow
+          ELSE IF (nqo>=4) THEN        !--vapour, liquid, ice and rneb and blowing snow
              qs_seri(i,k) = qx(i,k,isol)
              IF (ok_ice_sursat) THEN
@@ -2738,5 +2738,5 @@
     ENDDO
     ! Initialize variables used for diagnostic purpose
-    IF (flag_inhib_tend .ne. 0) CALL init_cmp_seri
+    IF (flag_inhib_tend /= 0) CALL init_cmp_seri
 
     ! Diagnostiquer la tendance dynamique
@@ -3128,5 +3128,5 @@
     ENDIF
 
-    IF (prt_level.ge.1) write(lunout,*)'Longitude solaire ',zlongi,solarlong0,dist
+    IF (prt_level>=1) write(lunout,*)'Longitude solaire ',zlongi,solarlong0,dist
 
 
@@ -3139,5 +3139,5 @@
     ! non nul aux poles.
     IF (abs(solarlong0-1000.)<1.e-4) THEN
-       CALL zenang_an(iflag_cycle_diurne.GE.1,jH_cur, &
+       CALL zenang_an(iflag_cycle_diurne>=1,jH_cur, &
             latitude_deg,longitude_deg,rmu0,fract)
        swradcorr(:) = 1.0
@@ -3164,5 +3164,5 @@
           ! Calcul du flag jour-nuit
           JrNt = 0.0
-          WHERE (fract.GT.0.0) JrNt = 1.0
+          WHERE (fract>0.0) JrNt = 1.0
        CASE(2)  
           !  Avec cycle diurne sans application des poids
@@ -3186,9 +3186,9 @@
                latitude_deg,longitude_deg,zrmu0,zfract)
           swradcorr = 0.0
-          WHERE (rmu0.GE.1.e-10 .OR. fract.GE.1.e-10) &
+          WHERE (rmu0>=1.e-10 .OR. fract>=1.e-10) &
                swradcorr=zfract/fract*zrmu0/rmu0
           ! Calcul du flag jour-nuit
           JrNt = 0.0
-          WHERE (zfract.GT.0.0) JrNt = 1.0 
+          WHERE (zfract>0.0) JrNt = 1.0
        END SELECT
     ENDIF
@@ -3254,5 +3254,5 @@
        !jyg+nrlmd<
 !!jyg       IF (prt_level .ge. 2 .and. mod(iflag_pbl_split,2) .eq. 1) THEN
-       IF (prt_level .ge. 2 .and. mod(iflag_pbl_split,10) .ge. 1) THEN
+       IF (prt_level >= 2 .and. mod(iflag_pbl_split,10) >= 1) THEN
           print *,'debut du splitting de la PBL, wake_s = ', wake_s(:)
           print *,'debut du splitting de la PBL, wake_deltat = ', wake_deltat(:,1)
@@ -3431,5 +3431,5 @@
        !  Add turbulent diffusion tendency to the wake difference variables
 !!jyg       IF (mod(iflag_pbl_split,2) .NE. 0) THEN
-       IF (mod(iflag_pbl_split,10) .NE. 0) THEN
+       IF (mod(iflag_pbl_split,10) /= 0) THEN
 !jyg<
           d_deltat_vdf(:,:) = d_t_vdf_w(:,:)-d_t_vdf_x(:,:)
@@ -3559,5 +3559,5 @@
           ELSE
              !!           IF (zx_t.LT.t_coup) THEN             !jyg
-             IF (zx_t.LT.rtt) THEN                  !jyg
+             IF (zx_t<rtt) THEN                  !jyg
                 zx_qs = qsats(zx_t)/pplay(i,k)
              ELSE
@@ -3569,5 +3569,5 @@
     ENDDO
 
-    IF (prt_level.ge.1) THEN
+    IF (prt_level>=1) THEN
        write(lunout,*) 'L   qsat (g/kg) avant clouds_gno'
        write(lunout,'(i4,f15.4)') (k,1000.*zqsat(igout,k),k=1,klev)
@@ -3589,5 +3589,5 @@
     ENDIF
     zx_ajustq = .FALSE.
-    IF (iflag_con.EQ.2) zx_ajustq=.TRUE.
+    IF (iflag_con==2) zx_ajustq=.TRUE.
     IF (zx_ajustq) THEN
        DO i = 1, klon
@@ -3609,5 +3609,5 @@
     ENDDO
 
-    IF (prt_level.ge.1) write(lunout,*) 'omega(igout, :) = ', &
+    IF (prt_level>=1) write(lunout,*) 'omega(igout, :) = ', &
          omega(igout, :)
     !
@@ -3617,5 +3617,5 @@
 !!    print *,' physiq : itapcv, cvpas, itap-1, cvpas_0 ', &
 !!                       itapcv, cvpas, itap-1, cvpas_0
-    IF (MOD(itapcv,cvpas).EQ.0 .OR. MOD(itap-1,cvpas_0).EQ.0) THEN
+    IF (MOD(itapcv,cvpas)==0 .OR. MOD(itap-1,cvpas_0)==0) THEN
 
     !
@@ -3650,5 +3650,5 @@
 #endif
     !
-    IF (iflag_con.EQ.1) THEN
+    IF (iflag_con==1) THEN
        abort_message ='reactiver le call conlmd dans physiq.F'
        CALL abort_physic (modname,abort_message,1)
@@ -3656,5 +3656,5 @@
        !    .             d_t_con, d_q_con,
        !    .             rain_con, snow_con, ibas_con, itop_con)
-    ELSE IF (iflag_con.EQ.2) THEN
+    ELSE IF (iflag_con==2) THEN
 #ifdef ISO
       CALL abort_gcm('physiq 2770','isos pas prevus ici',1)
@@ -3674,5 +3674,5 @@
           itop_con(i) = klev+1 - kctop(i)
        ENDDO
-    ELSE IF (iflag_con.GE.3) THEN
+    ELSE IF (iflag_con>=3) THEN
        ! nb of tracers for the KE convection:
        ! MAF la partie traceurs est faite dans phytrac
@@ -3813,5 +3813,5 @@
              DO k=1,klev
                 DO i=1,klon
-                   IF (wake_s(i) .GT. 1.e-3) THEN
+                   IF (wake_s(i) > 1.e-3) THEN
                       t_w(i,k) = t_w(i,k) + d_t_adjwk(i,k)
                       q_w(i,k) = q_w(i,k) + d_q_adjwk(i,k)
@@ -3964,5 +3964,5 @@
              IF (-7*log(presnivs(k)/presnivs(1)) > 25.) k_upper_cv = k
           ENDDO
-          IF (prt_level .ge. 5) THEN
+          IF (prt_level >= 5) THEN
              Print *, 'upmost level of deep convection loops: k_upper_cv = ', &
                   k_upper_cv
@@ -4080,5 +4080,5 @@
           !
           DO i = 1, klon
-             IF (iflagctrl(i).le.1) itau_con(i)=itau_con(i)+cvpas
+             IF (iflagctrl(i)<=1) itau_con(i)=itau_con(i)+cvpas
           ENDDO
           !
@@ -4175,5 +4175,5 @@
           ema_pct(i)  = paprs(i,itop_con(i)+1)
 
-          IF (itop_con(i).gt.klev-3) THEN
+          IF (itop_con(i)>klev-3) THEN
              IF (prt_level >= 9) THEN
                 write(lunout,*)'La convection monte trop haut '
@@ -4182,5 +4182,5 @@
           ENDIF
        ENDDO
-    ELSE IF (iflag_con.eq.0) THEN
+    ELSE IF (iflag_con==0) THEN
        write(lunout,*) 'On n appelle pas la convection'
        clwcon0=0.
@@ -4314,6 +4314,6 @@
        DO k = 1, klev
           DO i = 1, klon
-             IF (z_factor(i).GT.(1.0+1.0E-08) .OR. &
-                  z_factor(i).LT.(1.0-1.0E-08)) THEN
+             IF (z_factor(i)>(1.0+1.0E-08) .OR. &
+                  z_factor(i)<(1.0-1.0E-08)) THEN
                 q_seri(i,k) = q_seri(i,k) * z_factor(i)
 #ifdef ISO
@@ -4363,5 +4363,5 @@
        ! Call wakes every "wkpas" step
        !
-       IF (MOD(itapwk,wkpas).EQ.0) THEN
+       IF (MOD(itapwk,wkpas)==0) THEN
           !
           DO k=1,klev
@@ -4486,5 +4486,5 @@
 
        ! Increment Wake state variables
-       IF (iflag_wake_tend .GT. 0.) THEN
+       IF (iflag_wake_tend > 0.) THEN
 
          CALL add_wake_tend &
@@ -4498,5 +4498,5 @@
        ENDIF   ! (iflag_wake_tend .GT. 0.)
        !
-       IF (prt_level .GE. 10) THEN
+       IF (prt_level >= 10) THEN
          print *,' physiq, after calwake, wake_s: ',wake_s(:)
          print *,' physiq, after calwake, wake_deltat: ',wake_deltat(:,1)
@@ -4504,5 +4504,5 @@
        ENDIF
 
-       IF (iflag_alp_wk_cond .GT. 0.) THEN
+       IF (iflag_alp_wk_cond > 0.) THEN
 
          CALL alpale_wk(phys_tstep, cell_area, wake_k, wake_s, wake_dens, wake_fip_0, &
@@ -4689,5 +4689,5 @@
           !jyg<
 !!       IF (mod(iflag_pbl_split/2,2) .EQ. 1) THEN
-       IF (mod(iflag_pbl_split/10,10) .GE. 1) THEN
+       IF (mod(iflag_pbl_split/10,10) >= 1) THEN
              !  Appel des thermiques avec les profils exterieurs aux poches
              DO k=1,klev
@@ -4773,5 +4773,5 @@
           !jyg<
 !!jyg          IF (mod(iflag_pbl_split/2,2) .EQ. 1) THEN
-          IF (mod(iflag_pbl_split/10,10) .GE. 1) THEN
+          IF (mod(iflag_pbl_split/10,10) >= 1) THEN
              !  Si les thermiques ne sont presents que hors des
              !  poches, la tendance moyenne associ\'ee doit etre
@@ -4857,5 +4857,5 @@
        IF (iflag_thermals>=13.or.iflag_thermals<=0) THEN
 
-          IF (iflag_thermals.eq.0) THEN
+          IF (iflag_thermals==0) THEN
              IF (prt_level>9) WRITE(lunout,*)'ajsec'
              limbas(:)=1
@@ -4981,5 +4981,5 @@
     ! et le processus de precipitation
     !-------------------------------------------------------------------------
-    IF (prt_level .GE.10) THEN
+    IF (prt_level >=10) THEN
        print *,'itap, ->fisrtilp ',itap
     ENDIF
@@ -5347,9 +5347,9 @@
     !IM cf FH
     !     IF (iflag_cld_th.eq.-1) THEN ! seulement pour Tiedtke
-    IF (iflag_cld_th.le.-1) THEN ! seulement pour Tiedtke
+    IF (iflag_cld_th<=-1) THEN ! seulement pour Tiedtke
        snow_tiedtke=0.
        !     print*,'avant calcul de la pseudo precip '
        !     print*,'iflag_cld_th',iflag_cld_th
-       IF (iflag_cld_th.eq.-1) THEN
+       IF (iflag_cld_th==-1) THEN
           rain_tiedtke=rain_con
        ELSE
@@ -5359,5 +5359,5 @@
           DO k=1,klev
              DO i=1,klon
-                IF (d_q_con(i,k).lt.0.) THEN
+                IF (d_q_con(i,k)<0.) THEN
                    rain_tiedtke(i)=rain_tiedtke(i)-d_q_con(i,k)/pdtphys &
                         *(paprs(i,k)-paprs(i,k+1))/rg
@@ -5377,5 +5377,5 @@
        DO k = 1, klev
           DO i = 1, klon
-             IF (diafra(i,k).GT.cldfra(i,k)) THEN
+             IF (diafra(i,k)>cldfra(i,k)) THEN
                 radocond(i,k) = dialiq(i,k)
                 cldfra(i,k) = diafra(i,k)
@@ -5384,5 +5384,5 @@
        ENDDO
 
-    ELSE IF (iflag_cld_th.ge.3) THEN
+    ELSE IF (iflag_cld_th>=3) THEN
        !  On prend pour les nuages convectifs le max du calcul de la
        !  convection et du calcul du pas de temps precedent diminue d'un facteur
@@ -5392,5 +5392,5 @@
           DO i=1,klon
              rnebcon(i,k)=rnebcon(i,k)*facteur
-             IF (rnebcon0(i,k)*clwcon0(i,k).GT.rnebcon(i,k)*clwcon(i,k)) THEN
+             IF (rnebcon0(i,k)*clwcon0(i,k)>rnebcon(i,k)*clwcon(i,k)) THEN
                 rnebcon(i,k)=rnebcon0(i,k)
                 clwcon(i,k)=clwcon0(i,k)
@@ -5476,5 +5476,5 @@
        DO k = 1, klev
           DO i = 1, klon
-             IF (diafra(i,k).GT.cldfra(i,k)) THEN
+             IF (diafra(i,k)>cldfra(i,k)) THEN
                 radocond(i,k) = dialiq(i,k)
                 cldfra(i,k) = diafra(i,k)
@@ -5574,5 +5574,5 @@
           ELSE
              !!           IF (zx_t.LT.t_coup) THEN             !jyg
-             IF (zx_t.LT.rtt) THEN                  !jyg
+             IF (zx_t<rtt) THEN                  !jyg
                 zx_qs = qsats(zx_t)/pplay(i,k)
              ELSE
@@ -5581,5 +5581,5 @@
           ENDIF
           zx_rh(i,k) = q_seri(i,k)/zx_qs
-            IF (iflag_ice_thermo .GT. 0) THEN
+            IF (iflag_ice_thermo > 0) THEN
           zx_rhl(i,k) = q_seri(i,k)/(qsatl(zx_t)/pplay(i,k))
           zx_rhi(i,k) = q_seri(i,k)/(qsats(zx_t)/pplay(i,k))
@@ -5595,5 +5595,5 @@
        tpot(i)=zt2m(i)*(100000./paprs(i,1))**RKAPPA
        IF (thermcep) THEN
-          IF(zt2m(i).LT.RTT) then
+          IF(zt2m(i)<RTT) then
              Lheat=RLSTT
           ELSE
@@ -5601,5 +5601,5 @@
           ENDIF
        ELSE
-          IF (zt2m(i).LT.RTT) THEN
+          IF (zt2m(i)<RTT) THEN
              Lheat=RLSTT
           ELSE
@@ -5677,11 +5677,11 @@
     ! Appeler le rayonnement mais calculer tout d'abord l'albedo du sol.
     !
-    IF (MOD(itaprad,radpas).EQ.0) THEN
+    IF (MOD(itaprad,radpas)==0) THEN
 
        !
        !jq - introduce the aerosol direct and first indirect radiative forcings
        !jq - Johannes Quaas, 27/11/2003 (quaas@lmd.jussieu.fr)
-       IF (flag_aerosol .GT. 0) THEN
-          IF (iflag_rrtm .EQ. 0) THEN !--old radiation
+       IF (flag_aerosol > 0) THEN
+          IF (iflag_rrtm == 0) THEN !--old radiation
              IF (.NOT. aerosol_couple) THEN
                 !
@@ -5693,5 +5693,5 @@
                      tausum_aero, tau3d_aero)
              ENDIF
-          ELSE IF (iflag_rrtm .EQ.1) THEN  ! RRTM radiation
+          ELSE IF (iflag_rrtm ==1) THEN  ! RRTM radiation
              IF (aerosol_couple .AND. config_inca == 'aero' ) THEN
                 abort_message='config_inca=aero et rrtm=1 impossible'
@@ -5759,5 +5759,5 @@
                 !
              ENDIF
-          ELSE IF (iflag_rrtm .EQ.2) THEN    ! ecrad RADIATION
+          ELSE IF (iflag_rrtm ==2) THEN    ! ecrad RADIATION
 #ifdef CPP_ECRAD
              !--climatologies or INCA aerosols
@@ -5776,5 +5776,5 @@
           mass_solu_aero(:,:) = 0.
           mass_solu_aero_pi(:,:) = 0.
-          IF (iflag_rrtm .EQ. 0) THEN !--old radiation
+          IF (iflag_rrtm == 0) THEN !--old radiation
              tau_aero(:,:,:,:) = 1.e-15
              piz_aero(:,:,:,:) = 1.
@@ -5793,10 +5793,10 @@
        !--STRAT AEROSOL
        !--updates tausum_aero,tau_aero,piz_aero,cg_aero
-       IF (flag_aerosol_strat.GT.0) THEN
-          IF (prt_level .GE.10) THEN
+       IF (flag_aerosol_strat>0) THEN
+          IF (prt_level >=10) THEN
              PRINT *,'appel a readaerosolstrat', mth_cur
           ENDIF
-          IF (iflag_rrtm.EQ.0) THEN
-           IF (flag_aerosol_strat.EQ.1) THEN
+          IF (iflag_rrtm==0) THEN
+           IF (flag_aerosol_strat==1) THEN
              CALL readaerosolstrato(debut)
            ELSE
@@ -5867,6 +5867,6 @@
 
        !
-       IF (lon1_beta.EQ.-180..AND.lon2_beta.EQ.180..AND. &
-           lat1_beta.EQ.90..AND.lat2_beta.EQ.-90.) THEN
+       IF (lon1_beta==-180..AND.lon2_beta==180..AND. &
+           lat1_beta==90..AND.lat2_beta==-90.) THEN
           !
           ! global
@@ -5877,5 +5877,5 @@
           DO k=1, klev
              DO i=1, klon
-                IF (pplay(i,k).GE.pfree) THEN
+                IF (pplay(i,k)>=pfree) THEN
                    beta(i,k) = beta_pbl
                 ELSE
@@ -5899,9 +5899,9 @@
              DO i=1,klon
                 !
-                IF (longitude_deg(i).ge.lon1_beta.AND. &
-                    longitude_deg(i).le.lon2_beta.AND. &
-                    latitude_deg(i).le.lat1_beta.AND.  &
-                    latitude_deg(i).ge.lat2_beta) THEN
-                   IF (pplay(i,k).GE.pfree) THEN
+                IF (longitude_deg(i)>=lon1_beta.AND. &
+                    longitude_deg(i)<=lon2_beta.AND. &
+                    latitude_deg(i)<=lat1_beta.AND.  &
+                    latitude_deg(i)>=lat2_beta) THEN
+                   IF (pplay(i,k)>=pfree) THEN
                       beta(i,k) = beta_pbl
                    ELSE
@@ -5932,5 +5932,5 @@
 !--this is needed for CMIP6 runs
 !--and only possible for new radiation scheme
-       IF (iflag_rrtm.EQ.1.AND.ok_suntime_rrtm) THEN 
+       IF (iflag_rrtm==1.AND.ok_suntime_rrtm) THEN
 #ifdef CPP_RRTM
          CALL read_rsun_rrtm(debut)
@@ -5949,5 +5949,5 @@
        !input to radiation (DICE)
        !
-       IF (iflag_radia .ge. 2) THEN
+       IF (iflag_radia >= 2) THEN
           zsav_tsol (:) = zxtsol(:)
           CALL perturb_radlwsw(zxtsol,iflag_radia)
@@ -5989,5 +5989,5 @@
           IF (carbon_cycle_rad) RCO2=RCO2_glo
           !
-          IF (prt_level .GE.10) THEN
+          IF (prt_level >=10) THEN
              print *,' ->radlwsw, number 1 '
           ENDIF
@@ -6004,5 +6004,5 @@
                t_seri,q_seri,wo, &
                cldfrarad, cldemirad, cldtaurad, &
-               ok_ade.OR.flag_aerosol_strat.GT.0, ok_aie,  ok_volcan, flag_volc_surfstrat, &
+               ok_ade.OR.flag_aerosol_strat>0, ok_aie,  ok_volcan, flag_volc_surfstrat, &
                flag_aerosol, flag_aerosol_strat, flag_aer_feedback, &
                tau_aero, piz_aero, cg_aero, &
@@ -6053,9 +6053,9 @@
             !IM Par defaut on a les taux perturbes egaux aux taux actuels
             !
-            IF (RCO2_per.NE.RCO2_act.OR. &
-                RCH4_per.NE.RCH4_act.OR. &
-                RN2O_per.NE.RN2O_act.OR. &
-                RCFC11_per.NE.RCFC11_act.OR. &
-                RCFC12_per.NE.RCFC12_act) ok_4xCO2atm =.TRUE. 
+            IF (RCO2_per/=RCO2_act.OR. &
+                RCH4_per/=RCH4_act.OR. &
+                RN2O_per/=RN2O_act.OR. &
+                RCFC11_per/=RCFC11_act.OR. &
+                RCFC12_per/=RCFC12_act) ok_4xCO2atm =.TRUE.
           ENDIF
    ! 
@@ -6068,5 +6068,5 @@
                 RCFC12 = RCFC12_per
                 !
-                IF (prt_level .GE.10) THEN
+                IF (prt_level >=10) THEN
                    print *,' ->radlwsw, number 2 '
                 ENDIF
@@ -6083,5 +6083,5 @@
                      t_seri,q_seri,wo, &
                      cldfrarad, cldemirad, cldtaurad, &
-                     ok_ade.OR.flag_aerosol_strat.GT.0, ok_aie,  ok_volcan, flag_volc_surfstrat, &
+                     ok_ade.OR.flag_aerosol_strat>0, ok_aie,  ok_volcan, flag_volc_surfstrat, &
                      flag_aerosol, flag_aerosol_strat, flag_aer_feedback, &
                      tau_aero, piz_aero, cg_aero, &
@@ -6169,5 +6169,5 @@
        !  If Iflag_radia >=2, reset pertubed variables
        !
-       IF (iflag_radia .ge. 2) THEN
+       IF (iflag_radia >= 2) THEN
           zxtsol(:) = zsav_tsol (:)
        ENDIF
